# GUIBuilder

class GUIBuilder<T : ForInventory>(type: GUIType<T>, guiCreator: GUICreator<T>)
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open fun hashCode(): Int
Content copied to clipboard
onClickElement
Link copied to clipboard
fun onClickElement(onClick: (GUIClickEvent<T>) -> Unit)
Content copied to clipboard
A callback executed when the user clicks on any GUI elements on any page in this GUI.
page
Link copied to clipboard
fun page(page: Int, builder: GUIPageBuilder<T>.() -> Unit)
Content copied to clipboard
Opens the builder for a new page and adds the new page to the GUI.
toString
Link copied to clipboard
open fun toString(): String
Content copied to clipboard

## Properties

defaultPage
Link copied to clipboard
var defaultPage: Int = 1
Content copied to clipboard
The default page will be loaded first for every GUI instance.
title
Link copied to clipboard
var title: String
Content copied to clipboard
The title of this GUI.
transitionFrom
Link copied to clipboard
var transitionFrom: InventoryChangeEffect? = null
Content copied to clipboard
The transition applied, if this GUI redirects to another GUI and the other GUI has no transitionTo value defined.
transitionTo
Link copied to clipboard
var transitionTo: InventoryChangeEffect? = null
Content copied to clipboard
The transition applied, if another GUI redirects to this GUI.
type
Link copied to clipboard
val type: GUIType<T>
Content copied to clipboard